Bug 862330 - Unable to select project in left gutter "Project" tab pull-down
Unable to select project in left gutter "Project" tab pull-down
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: RHOS Maint
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 12:27 EDT by Dan Yocum
Modified: 2016-04-26 12:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-django-horizon-2012.2.1-2.el6ost.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-10 11:32:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2012-10-02 12:27:53 EDT
Description of problem:

As any user, admin or normal, clicking on the Project pulldown in the left gutter doesn't show the other projects the user is a member of.

Version-Release number of selected component (if applicable):

Essex

How reproducible:

Always

Steps to Reproduce:
1. Click on the "Project" tab in the left gutter
2. Click on the "Project" pulldown
3.
  
Actual results:

A single project is displayed and no other projects are offered as choices

Expected results:

The admin user should at the very least be able to select from the projects admin, demo, and service.

Additional info:
Comment 2 Mark McLoughlin 2012-12-07 04:48:04 EST
Sounds like a bug, for sure. Worth reproducing in Essex so we understand the issue and then confirming it's fixed in Folsom.
Comment 3 Yaniv Kaul 2012-12-07 05:10:24 EST
Nir - please reproduce (see comment 2 above).
Comment 4 Matthias Runge 2012-12-07 07:05:13 EST
I have seen this reported as an issue somewhere and I'm sure, it is fixed in Folsom.
Comment 7 Dan Yocum 2012-12-18 18:14:14 EST
If the following patch is in Folsom, then yes, it is fixed.  This is the bug you're thinking of:

https://github.com/fedora-openstack/keystone/commit/ffd7a4bbad5b43171238f586eb47b360cbc4430e

This patch also fixes this bug, too:

https://bugzilla.redhat.com/show_bug.cgi?id=862322
Comment 8 Alan Pevec 2013-01-10 11:32:06 EST
(In reply to comment #7)
> If the following patch is in Folsom, then yes, it is fixed.  This is the bug
> you're thinking of:
> 
> https://github.com/fedora-openstack/keystone/commit/
> ffd7a4bbad5b43171238f586eb47b360cbc4430e

Yes, that's in RHOS Folsom

Note You need to log in before you can comment on or make changes to this bug.